কনটেন্টে যান

Veo3.1 Reference to Video

ইন্টিগ্রেট করুন

মডেল id veo3.1/reference-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/veo3.1/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ: ৩.২০$ ৩,২০০ API ক্রেডিট এই পেজে চালান

API কী পান
Google রেফারেন্স থেকে ভিডিও নেটিভ অডিও4K আউটপুটরেফারেন্স ইনপুট4k পর্যন্ত

একাধিক রেফারেন্স ছবি ব্যবহার করে বিষয়ের সামঞ্জস্য বজায় রাখা Veo 3.1 ভিডিও, ঐচ্ছিক অডিও-সহ

Google · ভিডিও

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

•আবশ্যক 88 / 20000

জেনারেশনের জন্য কাঙ্ক্ষিত ভিডিওর টেক্সট বর্ণনা।

•আবশ্যক image_urls
একটি ফাইল ড্রপ করুন, অথবা

বিষয়ের চেহারা সামঞ্জস্যপূর্ণ রাখতে ব্যবহৃত রেফারেন্স ছবির URL।

aspect_ratio ডিফল্ট 16:9

আউটপুট ভিডিওর aspect ratio।

resolution ডিফল্ট 720p

আউটপুট ভিডিওর জন্য ব্যবহৃত রেজোলিউশন।

ডিফল্ট 8s

আউটপুট ভিডিওর দৈর্ঘ্য।

অ্যাডভান্সড safety_tolerance · auto_fix
safety_tolerance ডিফল্ট 4

বিষয়বস্তু মডারেশনের সহনশীলতা সর্বনিম্ন কঠোর স্তর 6 থেকে সর্বাধিক কঠোর স্তর 1-এর মধ্যে নির্ধারণ করুন; 1 অধিকাংশ বিষয়বস্তু ব্লক করে।

POST /run/veo3.1/reference-to-video?wait=20 মূল্য → ৩.২০$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/veo3.1/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

Veo3.1 Reference to Video সম্পর্কে

`prompt` এবং `image_urls`-এ থাকা রেফারেন্স ছবির তালিকা থেকে ভিডিও জেনারেট করে, যাতে বিষয়টির চেহারা একই থাকে। অ্যাসপেক্ট রেশিও 16:9 বা 9:16 এবং রেজোলিউশন 720p, 1080p বা 4k। দৈর্ঘ্য ডিফল্টভাবে 8s এবং অডিও জেনারেশন ডিফল্টভাবে সক্রিয়।

প্যারামিটার

ক্যানোনিকাল নাম অথবা নেটিভ নাম—দুটো একসঙ্গে নয়—পাঠান। ক্যানোনিকাল নামগুলো

নামধরন ডিফল্টঅনুমোদিত বিবরণ
promptআবশ্যক
ধরনstring
≤ ২০,০০০টি অক্ষর
জেনারেশনের জন্য কাঙ্ক্ষিত ভিডিওর টেক্সট বর্ণনা।
aspect_ratioঐচ্ছিক
ধরনenum
ডিফল্ট16:9
16:99:16
আউটপুট ভিডিওর aspect ratio।
durationঐচ্ছিক
ধরনstring
ডিফল্ট8s
আউটপুট ভিডিওর দৈর্ঘ্য।
resolutionঐচ্ছিক
ধরনenum
ডিফল্ট720p
720p1080p4k
আউটপুট ভিডিওর জন্য ব্যবহৃত রেজোলিউশন।
generate_audioঐচ্ছিক
ধরনboolean
ডিফল্টtrue
ভিডিওতে জেনারেট করা অডিও থাকবে কি না তা নিয়ন্ত্রণ করে।
auto_fixঐচ্ছিক
ধরনboolean
ডিফল্টfalse
কনটেন্ট-পলিসি যাচাই বা অন্য কোনো ভ্যালিডেশনে ব্যর্থতা সমাধানের চেষ্টা করার জন্য প্রম্পট স্বয়ংক্রিয়ভাবে পুনর্লিখন।
safety_toleranceঐচ্ছিক
ধরনenum
ডিফল্ট4
123456
বিষয়বস্তু মডারেশনের সহনশীলতা সর্বনিম্ন কঠোর স্তর 6 থেকে সর্বাধিক কঠোর স্তর 1-এর মধ্যে নির্ধারণ করুন; 1 অধিকাংশ বিষয়বস্তু ব্লক করে।
image_urlsআবশ্যক images
ধরনurl[] · image
বিষয়ের চেহারা সামঞ্জস্যপূর্ণ রাখতে ব্যবহৃত রেফারেন্স ছবির URL।
আবশ্যক ক্যানোনিকাল নাম, এটিও গ্রহণযোগ্য

ফাইল প্যারামিটার হিসেবে একটি পাবলিক https:// URL, 10 MB পর্যন্ত একটি data: URI, অথবা আপলোডের file_url গ্রহণ করা হয়। ফাইল

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "veo3.1/reference-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3200,
    "usd": "3.20",
    "charged": 3200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
video
object {url, content_type, file_name, file_size}মডেল দ্বারা উৎপাদিত ভিডিও।

আরও মডেল: রেফারেন্স থেকে ভিডিও

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/veo3.1/reference-to-video.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt